App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
mhr.appcore.interpolators.Interpolator Class Reference

Statická třída zapouzdřující interpolace jednotlivými metodami. More...

## Static Public Member Functions
static int | resampleTo (NBitmap src, NBitmap dst) throws AlreadyDisposedException, IllegalArgumentException
| Převzorkuje bitmapu src do dst metodou nejbližší soused. Nezachovává proporce.
static int | resampleTo (NBitmap src, NBitmap dst, InterpolatorType iType) throws AlreadyDisposedException, IllegalArgumentException
| Převzorkuje daným interpolátorem bez AA.
static int | resampleTo (NBitmap src, NBitmap dst, InterpolatorType iType, double force) throws AlreadyDisposedException, IllegalArgumentException
| Převzorkuje daným inteprolátorem s AA, force udává sílu, filtrace, defaultní je 1. rozsah 0 .. x Vyjadřuje sílu pro GaussianBlur pro preblur.

## Protected Member Functions
| Interpolator ()
| Výchozí konstruktor, třída je statická.

## Static Protected Member Functions
static native int | resampleTo (int nativeType, long srcAdress, long dstAdress)
| JNI metoda.
static native int | resampleTo (int nativeType, long srcAdress, long dstAdress, int iType)
static native int | resampleTo (int nativeType, long srcAdress, long dstAdress, int iType, double force)

## Detailed Description

Statická třída zapouzdřující interpolace jednotlivými metodami.

Definition at line 10 of file Interpolator.java.

## Constructor & Destructor Documentation

mhr.appcore.interpolators.Interpolator.Interpolator | ( |  | ) |
| inlineprotected

Výchozí konstruktor, třída je statická.

Definition at line 75 of file Interpolator.java.

{
}

## Member Function Documentation

static int mhr.appcore.interpolators.Interpolator.resampleTo | ( | NBitmap | src,
|  | NBitmap | dst
| ) |  | throws AlreadyDisposedException, IllegalArgumentException
| inlinestatic

Převzorkuje bitmapu src do dst metodou nejbližší soused. Nezachovává proporce.

Parameters

  src |
  dst |

Returns

Exceptions

  AlreadyDisposedException |
  IllegalArgumentException |

Definition at line 28 of file Interpolator.java.

{
if (src.getAdress() == 0) {
throw new AlreadyDisposedException("Bitmap is already disposed.");
}
if (src.getNativeType() != dst.getNativeType()) {
throw new IllegalArgumentException("Source and destination type doesn't match.");
}
return resampleTo(src.getNativeType().getValue(), src.getAdress(), dst.getAdress());
}

static int mhr.appcore.interpolators.Interpolator.resampleTo | ( | NBitmap | src,
|  | NBitmap | dst,
|  | InterpolatorType | iType
| ) |  | throws AlreadyDisposedException, IllegalArgumentException
| inlinestatic

Převzorkuje daným interpolátorem bez AA.

Definition at line 39 of file Interpolator.java.

{
if (iType == InterpolatorType.INVALID_TYPE) {
return 0;
}
if (src.getAdress() == 0) {
throw new AlreadyDisposedException("Bitmap is already disposed.");
}
if (src.getNativeType() != dst.getNativeType()) {
throw new IllegalArgumentException("Source and destination type doesn't match.");
}
return resampleTo(src.getNativeType().getValue(), src.getAdress(), dst.getAdress(), iType.getValue());
}

static int mhr.appcore.interpolators.Interpolator.resampleTo | ( | NBitmap | src,
|  | NBitmap | dst,
|  | InterpolatorType | iType,
|  | double | force
| ) |  | throws AlreadyDisposedException, IllegalArgumentException
| inlinestatic

Převzorkuje daným inteprolátorem s AA, force udává sílu, filtrace, defaultní je 1. rozsah 0 .. x Vyjadřuje sílu pro GaussianBlur pro preblur.

Definition at line 53 of file Interpolator.java.

{
if (iType == InterpolatorType.INVALID_TYPE) {
return 0;
}
if (src.getAdress() == 0) {
throw new AlreadyDisposedException("Bitmap is already disposed.");
}
if (src.getNativeType() != dst.getNativeType()) {
throw new IllegalArgumentException("Source and destination type doesn't match.");
}
return resampleTo(src.getNativeType().getValue(), src.getAdress(), dst.getAdress(), iType.getValue(), force);
}

static native int mhr.appcore.interpolators.Interpolator.resampleTo | ( | int | nativeType,
|  | long | srcAdress,
|  | long | dstAdress
| ) |  |
| staticprotected

JNI metoda.

static native int mhr.appcore.interpolators.Interpolator.resampleTo | ( | int | nativeType,
|  | long | srcAdress,
|  | long | dstAdress,
|  | int | iType
| ) |  |
| staticprotected

static native int mhr.appcore.interpolators.Interpolator.resampleTo | ( | int | nativeType,
|  | long | srcAdress,
|  | long | dstAdress,
|  | int | iType,
|  | double | force
| ) |  |
| staticprotected

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/interpolators/Interpolator.java